package com.syjy.calculate.repository;

import com.syjy.calculate.entity.tCalculationFormula;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CalculationFormulaRepository {

    /**
     * 创建公式表
     */
    void createTable();

    /**
     * 查询公式数据
     *
     * @param type 类型
     * @return 返回记录
     */
    List<tCalculationFormula> findByTypeAndProvince(String type, String provinceEnum);

}
